#!/usr/bin/env python3
nice_names = {'read_byte': 9, 'write': 10, 'unary_map': 11, 'binary_map': 12, 'parallel_map': 14, 'iterate': 20, 'read_all': 21, 'lcm': 30, 'gcd_reduce': 31, 'stack_size': 32, 'factorial': 33, 'list': 35, 'str': 36, 'mod': 37, 'bitwise_and': 38, 'stack_rrot': 40, 'stack_lrot': 41, 'multiply': 42, 'add': 43, 'concat': 43, 'read_line': 44, 'subtract': 45, 'asymmetric_difference': 45, 'write_line': 46, 'write_fn': 46, 'divide': 47, 'list_rrot': 47, 'copy': 59, 'less_than': 60, 'equal': 61, 'greater_than': 62, 'swap': 64, 'abs': 65, 'binary_randrange': 66, 'cos': 67, 'decrement': 68, 'stddev': 68, 'erf': 69, 'element': 69, 'fib': 70, 'first': 70, 'random': 71, 'hello_world': 72, 'head': 72, 'conditional': 73, 'unary_randrange': 74, 'random_choice': 74, 'ceil': 75, 'floor': 76, 'map': 77, 'max': 77, 'nnbb': 78, 'last': 78, 'ord': 79, 'ords': 79, 'nth_prime': 80, 'quine': 81, 'scoped_call': 82, 'reverse': 82, 'upper_range': 82, 'sin': 83, 'sort': 83, 'tangent': 84, 'set_element': 84, 'union': 85, 'random_uniform': 86, 'slices': 86, 'while_begin': 87, 'while_end': 87, 'discard': 88, 'logical_negate': 89, 'fixed_point': 89, 'zip': 90, 'zip_n': 90, 'floor_divide': 92, 'list_lrot': 92, 'xor': 94, 'ln': 95, 'stack_invert': 97, 'bool': 98, 'chr': 99, 'count': 99, 'dequeue': 100, 'divmod': 100, 'exp': 101, 'fib_index': 102, 'format': 102, 'gcd': 103, 'l2_norm': 104, 'float': 105, 'flatten': 105, 'join': 106, 'nest_all': 107, 'len': 108, 'modf': 109, 'min': 109, 'repeat_n': 110, 'iterate_n': 110, 'append': 111, 'prime_factorization': 111, 'is_prime': 112, 'pop': 112, 'enqueue': 113, 'lower_range': 114, 'sgn': 115, 'split': 115, 'tail': 116, 'translate': 116, 'increment': 117, 'random_seed': 118, 'prime_factors_exp': 119, 'binary_range': 120, 'splat_range': 120, 'prime_factors': 121, 'write_many': 122, 'stack_rrot_n': 123, 'bitwise_or': 124, 'stack_lrot_n': 125, 'bitwise_negate': 126, 'exit': 127, 'complex': 128, 'write_all': 129, 'discard_all': 130, 'asin': 131, 'acos': 132, 'atan': 133, 'atan2': 134, 'asinh': 135, 'acosh': 136, 'atanh': 137, 'repr': 138, 'imag_unit': 139, 'imag_mult': 140, 'inverse': 141, 'numerics': 141, 'sinh': 142, 'cosh': 143, 'tanh': 144, 'mean': 145, 'replace': 146, 'strings': 146, 'strip': 147, 'lstrip': 148, 'rstrip': 149, 'upper': 150, 'lower': 151, 'title': 152, 'swapcase': 153, 'mode': 154, 'take_sign': 155, 'function': 156, 'functions': 156, 'pair_add': 157, 'phase': 158, 'call': 159, 'complex_conjugate': 160, 'find': 161, 'conditional_exit': 162, 'alpha_lower': 163, 'enumerate': 164, 'lists': 165, 'degrees': 167, 'int_base': 168, 'add_two': 169, 'subtract_two': 170, 'half': 171, 'quarter': 172, 'str_base': 173, 'stack_insert_up': 174, 'stack_insert_down': 175, 'filter': 176, 'totient': 177, 'prime_pi': 178, 'stack_dup': 179, 'coprime': 180, 'chunk_number': 181, 'rindex': 182, 'reg0_add': 183, 'reg1_add': 184, 'pascal_row': 185, 'middle': 186, 'reg0_save': 187, 'reg1_save': 188, 'reg0_load': 189, 'reg1_load': 190, 'regn_save': 191, 'regn_load': 192, 'transpose': 194, 'bin': 195, 'hex': 196, 'stack_dup_each': 197, 'stack_dup_each_n': 198, 'nest_n': 199, 'shuffle': 200, 'uniquify': 201, 'reg_input': 202, 'pi': 203, 'e': 204, 'is_unique': 205, 'while_call': 206, 'combinations': 207, 'permutations': 208, 'pow10': 209, 'log10': 210, 'log': 210, 'pow2': 211, 'log2': 212, 'lg': 212, 'ln2': 213, 'first_n_truthy': 214, 're_im': 215, 'chunk_length': 216, 'ord_cp437': 217, 'chr_cp437': 218, 'nCr': 219, 'nPr': 220, 'b64decode': 221, 'b64encode': 222, 'base_digits': 223, 'repeat_each': 224, 'nth_input': 225, 'gamma': 226, 'product': 227, 'sum': 228, 'cumulative_sums': 229, 'rms': 230, 'double': 231, 'slice': 232, 'dig': 235, 'toggle_preserve': 236, 'preserve_on': 236, 'preserve_off': 236, 'phi': 237, 'empty_string': 238, 'intersection': 239, 'eval': 240, 'unary_negate': 241, 'swap_quotes': 241, 'gte': 242, 'lte': 243, 'func_begin': 244, 'func_end': 245, 'divisors': 246, 'int': 247, 'radians': 248, 'cartesian_product': 249, 'cartesian_power': 249, 'sqrt': 251, 'pow': 252, 'square': 253, 'write_all_safe': 254}
